> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check taxability of benefit contributions

> Retrieve the taxability status of different benefit contributions by employees and employers. This is purely informational and is not required to run before computing payroll calculations.



## OpenAPI

````yaml /ste/api-reference/ste-hosted-api.yaml post /v1/benefitStatus
openapi: 3.0.3
info:
  title: STE Hosted API
  description: Symmetry Tax Engine Hosted API
  version: all
  termsOfService: https://www.symmetry.com/terms
  contact:
    name: Symmetry Website
    url: https://www.symmetry.com/
servers:
  - url: https://ste.symmetry.com/ste-hosted
security:
  - apiKey: []
tags:
  - name: Account Information and Schema
    description: Account information and schema retrieval endpoints
  - name: Benefits
    description: Employee benefits status and information
  - name: Location Code
    description: Location code lookup
  - name: Location Tax Information
    description: Location-based tax information and configuration
  - name: Payroll Calculations
    description: Payroll tax calculation endpoints
  - name: Tax Information
    description: Tax ID and reference information
  - name: Documentation
    description: API documentation and specification
  - name: STEVersions
    description: Installed STE database version discovery
paths:
  /v1/benefitStatus:
    post:
      tags:
        - Benefits
      summary: Check taxability of benefit contributions
      description: >-
        Retrieve the taxability status of different benefit contributions by
        employees and employers. This is purely informational and is not
        required to run before computing payroll calculations.
      operationId: benefitStatus
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                BenefitStatusRequest:
                  $ref: '#/components/schemas/BenefitStatusRequest'
            example:
              BenefitStatusRequest:
                payDate: '2026-03-24'
                taxIDSearchString: 04-000-0000-SIT-000
                nonActiveTaxes: true
          application/xml:
            schema:
              type: object
              properties:
                BenefitStatusRequest:
                  $ref: '#/components/schemas/BenefitStatusRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BenefitStatusResponse'
              example:
                BenefitStatusResponse:
                  benefitItem:
                    - isSimpleIRAEmployerContribution: false
                      uniqueTaxID: 04-000-0000-SIT-000
                      is401KPretax: true
                      isFSADCEmployerContribution: false
                      isFSAPretax: true
                      isRoth457EmployerContribution: false
                      is125Pretax: true
                      isRoth403BEmployerContribution: false
                      is125EmployerContribution: false
                      isFSAEmployerContribution: false
                      isHSAEmployerContribution: false
                      isHSAPretax: true
                      isSimpleIRAPretax: true
                      isRoth401KEmployerContribution: false
                      is457EmployerContribution: false
                      isRoth401KPretax: false
                      is403BEmployerContribution: false
                      is403BPretax: true
                      is457Pretax: true
                      isRoth403BPretax: false
                      is401KEmployerContribution: false
                      isFSADCPretax: true
                      isRoth457Pretax: false
                  errorStatus:
                    errorCode: 0
                    errorMessage: No error
                  transactionStamp:
                    calcDateTime: '2026-03-24T13:32:44Z'
                    steVersion: 2026-R1
                    schemaVersion: v1
                    totalTransactions: 1
                    failedTransactions: 0
                    transactionType: BenefitStatus
            application/xml:
              schema:
                $ref: '#/components/schemas/BenefitStatusResponse'
components:
  schemas:
    BenefitStatusRequest:
      type: object
      properties:
        payDate:
          $ref: '#/components/schemas/date'
        taxIDSearchString:
          type: string
          description: >-
            The search string used to identify which taxes you want to see
            benefit status information for. `%` is used as a wildcard.
        nonActiveTaxes:
          type: boolean
          description: >-
            Set to true to also return historical taxes that have been
            inactivated. Defaults to false if not set.
    BenefitStatusResponse:
      type: object
      properties:
        errorStatus:
          $ref: '#/components/schemas/errorType'
        transactionStamp:
          $ref: '#/components/schemas/transactionStampType'
        benefitItem:
          type: array
          items:
            $ref: '#/components/schemas/benefitItemType'
    date:
      type: string
    errorType:
      type: object
      properties:
        errorCode:
          type: integer
        errorMessage:
          type: string
    transactionStampType:
      type: object
      properties:
        calcDateTime:
          $ref: '#/components/schemas/dateTime'
        failedTransactions:
          type: integer
        schemaVersion:
          type: string
        steVersion:
          type: string
        totalTransactions:
          type: integer
        transactionType:
          type: string
          enum:
            - PayCalc
            - LocationCode
            - JurisdictionData
            - SetTaxList
            - BenefitStatus
            - BenefitInfo
            - TaxIDList
            - GrossUp
            - GetSchema
            - AccountInfo
            - STEVersions
    benefitItemType:
      type: object
      properties:
        is125EmployerContribution:
          type: boolean
        is125Pretax:
          type: boolean
        is401KEmployerContribution:
          type: boolean
        is401KPretax:
          type: boolean
        is403BEmployerContribution:
          type: boolean
        is403BPretax:
          type: boolean
        is457EmployerContribution:
          type: boolean
        is457Pretax:
          type: boolean
        isFSADCEmployerContribution:
          type: boolean
        isFSADCPretax:
          type: boolean
        isFSAEmployerContribution:
          type: boolean
        isFSAPretax:
          type: boolean
        isHSAEmployerContribution:
          type: boolean
        isHSAPretax:
          type: boolean
        isRoth401KEmployerContribution:
          type: boolean
        isRoth401KPretax:
          type: boolean
        isRoth403BEmployerContribution:
          type: boolean
        isRoth403BPretax:
          type: boolean
        isRoth457EmployerContribution:
          type: boolean
        isRoth457Pretax:
          type: boolean
        isSimpleIRAEmployerContribution:
          type: boolean
        isSimpleIRAPretax:
          type: boolean
        isRothSimpleIRAEmployerContribution:
          type: boolean
        isRothSimpleIRAPretax:
          type: boolean
        isRothSimpleIRANonelectiveEmployerContribution:
          type: boolean
        isRothSimpleIRANonelectivePretax:
          type: boolean
        isStarter401KPretax:
          type: boolean
        isStarter401KEmployerContribution:
          type: boolean
        isRothStarter401KPretax:
          type: boolean
        isRothStarter401KEmployerContribution:
          type: boolean
        isSimpleIRANonelectivePretax:
          type: boolean
        isSimpleIRANonelectiveEmployerContribution:
          type: boolean
        isEHTCashBenefitPretax:
          type: boolean
        isEHTCashBenefitEmployerContribution:
          type: boolean
        isHSFCashBenefitQuebecPretax:
          type: boolean
        isHSFCashBenefitQuebecEmployerContribution:
          type: boolean
        isEHTNonCashBenefitPretax:
          type: boolean
        isEHTNonCashBenefitEmployerContribution:
          type: boolean
        isHSFNonCashBenefitQuebecPretax:
          type: boolean
        isHSFNonCashBenefitQuebecEmployerContribution:
          type: boolean
        isEHTEarningsPretax:
          type: boolean
        isEHTEarningsEmployerContribution:
          type: boolean
        isHSFEarningsQuebecPretax:
          type: boolean
        isHSFEarningsQuebecEmployerContribution:
          type: boolean
        isEHTPayInLieuPretax:
          type: boolean
        isEHTPayInLieuEmployerContribution:
          type: boolean
        isDependentCustodialAccountPretax:
          type: boolean
        isDependentCustodialAccountEmployerContribution:
          type: boolean
        isEducationalAssistancePretax:
          type: boolean
        isEducationalAssistanceEmployerContribution:
          type: boolean
        isEducationalAssistanceLoanRepaymentPretax:
          type: boolean
        isEducationalAssistanceLoanRepaymentEmployerContribution:
          type: boolean
        uniqueTaxID:
          $ref: '#/components/schemas/uniqueTaxIDType'
    dateTime:
      type: string
    uniqueTaxIDType:
      type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key for authentication. Provide the raw key as the value of the
        Authorization header (no "Bearer" prefix).

````